360鹰眼-更智能的Web安全监控系统

产品描述:

下一代web漏洞扫描器,她是一款硬件,包含:最全面的"爬出"引擎,不再需要收集资产清单,不再需要指定扫描时间,同步发现新上线业务漏洞

适用对象:

企业

价格服务:

目录价19.8万起
我了解,我要试用
严重严重

Flash配置不当漏洞

WASC Threat Classification

发现时间:

2012-07-11

漏洞类型:

配置错误

所属建站程序:

所属服务器类型:

所属编程语言:

描述:

目标存在Flash配置不当漏洞。在将Flash安全策略配置成允许任意域访问时,会导致用户可以跨域访问。

验证方式:打开目标页面验证是否存在Flash配置不当漏洞。

示例:

危害:

攻击者可利用该漏洞进行跨域访问,发起“跨站点伪造请求”或“跨站点跟踪”(“跨站点脚本编制”的变体)之类的攻击,从而导致其它用户的信息被非法读取。

解决方案:

方案1. 修改flash安全策略,做严格限制,比如限制到网站当前域。

方案2. 修改crossdomain.xml文件,感谢站长 wangzongche 提供以下解决方案

找到相应目录下的crossdomain.xml文件,找到代码:
cross-domain-policy allow-access-from domain=* cross-domain-policy
改成:
cross-domain-policy allow-access-from domain= 改成你的网站地址 cross-domain-policy
具体方法如图:



如果你的网站服务器是Windows系统,建议使用"主机卫士"修复漏洞,点击下载
对该漏洞进行评论